Menu
Documentation
Grafana Cloud
Developer resources
Grafana APIs
HTTP API
Legacy Grafana HTTP API
Other HTTP API
Enterprise
Open source
Grafana Cloud
Frontend Settings API
Note
Starting in Grafana 13,
/apiendpoints are being deprecated in favor of the/apisroute. Note that while Grafana is working on migrating existing APIs, currently there may not be an exact match to the legacy API you’re using.This change doesn’t disrupt or break your current setup. Legacy APIs are not being disabled and remain fully accessible and operative, but
/apiroutes will no longer be updated.To learn more refer to the new API structure in Grafana.
Get Settings
GET /api/frontend/settings
Example Request:
http
GET /api/frontend/settings HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbkExample Response:
http
HTTP/1.1 200
Content-Type: application/json
{
"allowOrgCreate":true,
"appSubUrl":"",
"buildInfo":{
"buildstamp":xxxxxx,
"commit":"vyyyy",
"version":"zzzzz"
},
"datasources":{
"datasourcename":{
"index":"grafana-dash",
"meta":{
"annotations":true,
"module":"plugins/datasource/grafana/datasource",
"name":"Grafana",
"partials":{
"annotations":"app/plugins/datasource/grafana/partials/annotations.editor.html",
"config":"app/plugins/datasource/grafana/partials/config.html"
},
"pluginType":"datasource",
"serviceName":"Grafana",
"type":"grafanasearch"
}
}
},
"defaultDatasource": "Grafana"
}Login API
Renew session based on remember cookie
GET /api/login/ping
Example Request:
http
GET /api/login/ping HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbkExample Response:
http
HTTP/1.1 200
Content-Type: application/json
{"message": "Logged in"}Health API
Returns health information about Grafana
GET /api/health
Example Request
http
GET /api/health
Accept: application/jsonExample Response:
http
HTTP/1.1 200 OK
{
"commit": "087143285",
"database": "ok",
"version": "5.1.3"
}Was this page helpful?
Related resources from Grafana Labs
Additional helpful documentation, links, and articles:
Video

Getting started with managing your metrics, logs, and traces using Grafana
In this webinar, we’ll demo how to get started using the LGTM Stack: Loki for logs, Grafana for visualization, Tempo for traces, and Mimir for metrics.
Video

Intro to Kubernetes monitoring in Grafana Cloud
In this webinar you’ll learn how Grafana offers developers and SREs a simple and quick-to-value solution for monitoring their Kubernetes infrastructure.
Video

Building advanced Grafana dashboards
In this webinar, we’ll demo how to build and format Grafana dashboards.
Choose a product
Scroll for more